<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require 'Net/IPv4.php';

// IPɥ쥹ǷӤΥ򸡾ڤ륯饹
class MobIPCheck{

// docomoIPɥ쥹ξ˿
static function ISdocomo(){
	if(!defined('IPCHECK')){
		return true;
	}
	$lines = file(MBAPP_TRUST_PATH . '/MobCommon/resource/docomo_ip.lst');
	if($lines === false){
		return true;
	}
	foreach($lines as $ln){
		if(Net_IPv4::ipInNetwork($_SERVER['REMOTE_ADDR'],trim($ln))){
			return true;
		}
	}
	return false;
}

// AUIPɥ쥹ξ˿
static function ISAU(){
	if(!defined('IPCHECK')){
		return true;
	}
	$lines = file(MBAPP_TRUST_PATH . '/MobCommon/resource/au_ip.lst');
	if($lines === false){
		return true;
	}
	foreach($lines as $ln){
		if(Net_IPv4::ipInNetwork($_SERVER['REMOTE_ADDR'],$ln)){
			return true;
		}
	}
	return false;
}

static function ISSoftBank(){
	if(!defined('IPCHECK')){
		return true;
	}
	$lines = file(MBAPP_TRUST_PATH . '/MobCommon/resource/softbank_ip.lst');
	if($lines === false){
		return true;
	}
	foreach($lines as $ln){
		if(Net_IPv4::ipInNetwork($_SERVER['REMOTE_ADDR'],$ln)){
			return true;
		}
	}
	return false;
}

static function IsMobileIP(){
	return self::ISdocomo() || self::ISAU() || self::ISSoftbank();
}
}
?>
