<?php

/**
 * class.profileview.php
 *
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

// ץեʸɽ᥽å
class modelProfileView extends MobCommonModel{

// ڡε
const BBS_PAGE_LINES = 5;


// 桼֥å֤᥽å
function modelRequestBlock($op=false){
	$page = 0;

	// CGIcid鵭ID
	if(isset($this->request['page'])){
		$page = intVal($this->request['page']);	
	}
	
	// ID˳쥳ɤ򸡺
	$dbo = DB_DataObject::Factory(USER_TABLE);
	$dbo->orderBy('id DESC');
	$dbo->whereAdd('approve=1');
	$dbo->limit($page*self::BBS_PAGE_LINES,self::BBS_PAGE_LINES);
	if($dbo->find() <= 0){
		throw new Exception('¸ߤޤ');
	}

	// ֤Υơ֥
	$cmd = new MobRenderingCommand('common_profile_view_request.html',true);
	$blocks = Array();
	while($dbo->fetch()){
		$assign = Array();

		// DBξ򥻥åȤ
		$assign['id'] = $dbo->id;

		$username = $dbo->username;
		$assign['username'] = $username;

		$blocks[] = $assign;
		
	}

	$cmd->assign('blocks',$blocks);
	$cmd->assign('op',$op);
	return $cmd;
	
}

function modelResponseBlock(){
	
	$uid = false;

	// CGIcid鵭ID
	if(isset($this->request['id'])){
		$uid = intVal($this->request['id']);	
	}
	else{
		throw new Exception('ޤ');
	}
	
	// ID˳쥳ɤ򸡺
	$dbo = DB_DataObject::Factory(USER_TABLE);
	if($dbo->get($uid) <= 0){
		throw new Exception('¸ߤޤ');
	}
	
	// ɽ뤿
	$cmd = new MobRenderingCommand('common_profile_view_response.html',true);

	// 桼ID򥻥åȤ
	$id = $dbo->id;
	$cmd->assign('id',$id);

	// 桼̾򥻥åȤ
	$username = $dbo->username;
	$cmd->assign('username',$username);

	// 򥻥åȤ
	$generation = $dbo->generation;
	$cmd->assign('generation',$generation);

	// ̤򥻥åȤ
	$sex = $dbo->sex;
	$cmd->assign('sex',intVal($sex));

	// ｻϤ򥻥åȤ
	$address = $dbo->address;
	$cmd->assign('address',$address);

	// å򥻥åȤ
	$message = $dbo->message;
	$cmd->assign('message',$message);

	return $cmd;
	
}

function modelRequestNaviBlock($opt=false){

	$cmd = new MobRenderingCommand('common_profile_view_request_navi.html',true);

	// CGIcid鵭ID
	$page = 0;
	if(isset($this->request['page'])){
		$page = intVal($this->request['page']);	
	}

	// 桼
	$dbo = DB_DataObject::Factory(USER_TABLE);
	$dbo->whereAdd('approve=1');
	$cnt = $dbo->count();

	// ڡ
	$pagecnt = intVal($cnt / self::BBS_PAGE_LINES);

	// ڡ򥻥å
	if($page > 0 && $pagecnt > 0){
		$cmd->assign('previous', $page-1);
		
	}
	else{
		$cmd->assign('previous', -1);
	}

	// ڡ򥻥å
	if($cnt-(($page+1)*self::BBS_PAGE_LINES) > 0){   
		$cmd->assign('next', $page+1);
		
	}
	else{
		$cmd->assign('next', -1);
	}

	if($opt){
		$cmd->assign('opt', $opt);
	}
	
	return $cmd;
}

function modelResponseNaviBlock(){
	$cmd = new MobRenderingCommand('common_profile_view_response_navi.html',true);
	$cmd->assign('id',intVal($this->request['id']));
	return $cmd;
}
	
}
?>
