<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once SMARTY_DIR . '/Smarty.class.php';

// 󥰽Ԥ饹
class MobRenderingCommand{

// Smartyѿʸбꥹ
protected $assign;

// ƥץ졼ȥե
protected $template;

// ̤ΤȤtrue
protected $common;

// ʸ󥹥
protected $emoji;

// 󥹥ȥ饯
function __construct($t,$common=false){
	$this->clear();
	$this->template = $t;
	$this->emoji = EmojiConv::getInstance();
	$this->common = $common;
}


// бꥹȤɲ
public function assign($item,$val){

	// ʸԤ
	if(!is_array($val)){
		$this->assign[$item] = $this->emoji->convertToText($val);
		return;
	}
	$a = $this->set_array($val);
	$this->assign[$item] = $a;
}

// ǤѴԤ
protected function set_array($a){
	$lst = Array();
	foreach($a as $idx=>$val){
		if(is_array($val)){
			$lst[$idx] = $this->set_array($val);
		}
		else{
			$lst[$idx] = $this->emoji->convertToText($val);
		}
	}
	return $lst;
}

// бꥹȤ
public function clear(){
	$this->assign = Array();
}

public function rendering(){
	
	$smarty = new Smarty();

	// ʲɬܤSmartyץ
        $smarty->compile_dir = MBAPP_TRUST_PATH. '/' . APPNAME . '/templates_c/';
        $smarty->cache_dir = MBAPP_TRUST_PATH. '/' . APPNAME . '/cache/';

	// ̥ƥץ졼Ȥ̥ǥ쥯ȥ
	if($this->common){
		$smarty->template_dir =  MBAPP_TRUST_PATH. '/' . COMMON_LIB_NAME . '/templates/' ;
	}
	else{
		$smarty->template_dir = MBAPP_TRUST_PATH. '/' . APPNAME . '/templates/';
	}

	// Smartyѿγ
	foreach($this->assign as $key=>$val){
		$smarty->assign($key,$val);
	}

	// ѿγ
	$s =  $smarty->fetch($this->template);
	return $s;

}

}
?>
