<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require 'Mail.php';
require_once MBAPP_TRUST_PATH. '/MobCommon/include/inc.mailconf.php';

// SMTPǥ᡼
class MobSendSMTPMail implements MailConfDefine{

public static function SendMail($sub,$body,$to){
	$opts = false;
	$mail = false;
	if(MailConfDefine::MAIL_SMTP_AUTH){
		$opts = Array(
			'host'=>MailConfDefine::MAIL_SMTP_ADDRESS, 
			'auth'=>true,
			'username'=>MailConfDefine::MAIL_SMTP_USERID,
			'password'=>MailConfDefine::MAIL_SMTP_PASSWORD
		);
		$mail = Mail::factory('smtp',$opts);
	}
	else{
		$mail = Mail::factory('mail');
	}
	$headers = array(
	'Date'=>date("r"),
		'Reply-To'=>MailConfDefine::MAIL_FROM_ADDRESS,
		'From'=>MailConfDefine::MAIL_FROM_ADDRESS,
		'To'=> $to,
		'Subject' => mb_encode_mimeheader($sub,'ISO-2022-JP')
	);
	$mail->send($to,$headers,mb_convert_encoding($body,'JIS',INTERNAL_ENCODING));
}

}
?>
