<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */


require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.adminview.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.error.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.errordlg.php';

class MobAdminBBS2View extends MobAdminView{

// Factory᥽å
public static function factory($t){
        return new self($t);
}

// ɽ᥽å
protected function layoutProfileList(){

        // ץեɽ
	require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.profileview.php';
        $profile = new modelProfileView($this);
        try{
                $this->addLayout($profile->modelRequestBlock());
        }
        catch(Exception $e){

                if(!$err){
                        return $this->layoutContentList($e->getMessage());
                }
        }

        // ʥӤդ
        $this->addLayout($profile->modelRequestNaviBlock('op=list'));

}
protected function layoutContentList($err=false){

	$this->clearLayout();

	// 顼åɽ
	if($err){
		$bbs = new modelError($this);
		$this->addLayout($bbs->modelResponseBlock());
	}

	require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.hello.php';

        // ֤褦XXפΥåФ
        if(!isset($this->request['page']) || intVal($this->request['page']) == 0){
                $hello = new modelHello($this);
                $this->addLayout($hello->modelResponseBlock());
        }

	// ɽ
	require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.bbscontent.php';
	$bbs = new modelBBS2Content($this);
	try{
		$this->addLayout($bbs->modelRequestBlock());
	}
	catch(Exception $e){

		// ɽ˼
		$bbs = new modelError($this);
		$this->addLayout($bbs->modelResponseBlock('ɽǤ뵭ޤ'));
	}

	// ʥӤդ
	$this->addLayout($bbs->modelRequestNaviBlock());

	// ѥեɽ
	require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.bbsentry.php';
	$form = new modelBBS2Entry($this);
	$this->addLayout($form->modelRequestBlock());

	// ϿԽܥɽ
	require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.userprofileentry.php';
	$modify = new modelUserProfileEntry($this);
	$this->addLayout($modify->modelRequestBlock());

        // 桼Ͽܥɽ
	require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.userregistentry.php';
        $regist = new modelRegistEntry($this);
        $this->addLayout($regist->modelRequestBlock());

	// ǧڥܥɽ
        if(MOB_CARRIER != 'pc'){
                $uin = false;
                if(defined('UIN_REGISTERED')){
                        require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.uindel.php';
                        $uin = new modelUinDel($this);
                }
                else{
                        require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.uinset.php';
                        $uin = new modelUinSet($this);
                }
                $this->addLayout($uin->modelRequestBlock());
        }

	// 桼
	require_once MBAPP_TRUST_PATH . '/' . APPNAME . '/class/class.profilelist.php';
	$profile = new modelProfileEntry($this);
	$this->addLayout($profile->modelRequestBlock());
	
	// ȥܥɽ
	require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.logout.php';
	$logout = new modelLogout($this);
	$this->addLayout($logout->modelRequestBlock());

}

// ȥ᥽å
function controller(){
	if(parent::controller()){
		return true;
	}
	$this->contenttype = 'text/html';
	try{
		switch($this->action){
			case 'update': // 
			case 'profileview': // ץեɤ
			case 'entry': // 
			case 'view': // ʸɤ
			case 'check': // Ƥ줿ǧ
			case 'deletecheck': // 뵭ǧ
			case 'delete': // 
			case 'save': // Ƥ줿¸
				require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.authview.php';
				$auth = MobAuthBBS2View::factory($this->skintemplate,$this->getLayout());
				$auth->controller();
				$this->copyLayout($auth);
				break;
			case 'profilelist': // ɽ
				return $this->layoutProfileList();
				break;
			case 'list': // ɽ
			default:
				return $this->layoutContentList();
				break;
		}
	}
	catch(Exception $e){
		$error = new modelErrorDlg($this);
		$this->clearLayout();
		$this->addLayout($error->modelResponseBlock($e->getMessage()));
	}

}

}
?>
