<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

class modelBBS2Check extends MobCommonModel{

// ϥեɽ
function modelRequestBlock(){
	
	// 󥰥֥Ȥ
	$cmd = new MobRenderingFormCommand('mob_bbs2_check_request.html');

	if(SESSION_ID != $this->request['ssid']){
		throw new Exception('å󥨥顼');
	}

	$ins = EmojiConv::getInstance();

	// Ϥľ
	if($this->method == 'POST'){

		// ϥեΤ
		$cmd->assign('title',$ins->convertFromHiddenTag($this->request['title']));
		$cmd->assign('body',$ins->convertFromHiddenTag($this->request['body']));
		$cmd->assign('id',$this->request['id']);
	}
	else if(isset($this->request['id'])){
		$dbo = DB_DataObject::Factory(BBS_TABLE);
		$dbo->get(intVal($this->request['id']));
		$cmd->assign('title',$ins->convertToInputForm($dbo->title));
		$cmd->assign('body', $ins->convertToInputForm($dbo->body));
		$cmd->assign('id', $dbo->id);
	}
	return $cmd;
}

// ǧѲ̤ɽ
function modelResponseBlock(){
	
	// 󥰥֥Ȥ
	$cmd = new MobRenderingCommand('mob_bbs2_check_response.html');

	// Ƥå
	if($this->request['title'] == ''){
		throw new Exception('ȥɬܤǤ');
	}
	if(strlen($this->request['title']) >= 255){
		throw new Exception('ȥ뤬Ĺޤ');
	}
	if($this->request['body'] == ''){
		throw new Exception('ʸɬܤǤ');
	}

	// ɽǡ򥻥åȤ
	$cmd->assign('title', $this->request['title']);
	$cmd->assign('body', $this->request['body']);

	return $cmd;
}

}

?>
