<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */


require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

class modelBBS2Content extends MobCommonModel{

// ڡε
const BBS_PAGE_LINES = 5;

// ֤᥽å
function modelRequestBlock(){

	$page = 0;

	// CGIcid鵭ID
	if(isset($this->request['page'])){
		$page = intVal($this->request['page']);	
	}
	
	// ID˳쥳ɤ򸡺
	$dbo = DB_DataObject::Factory(BBS_TABLE);
	$dbo->orderBy('id DESC');
	$dbo->limit($page*self::BBS_PAGE_LINES,self::BBS_PAGE_LINES);
	if($dbo->find() <= 0){
		throw new Exception('¸ߤޤ');
	}
	
        // 󥰥֥Ȥ
        $cmd = new MobRenderingCommand('mob_bbs2_content_request.html');
	$ins = EmojiConv::getInstance();

	$blocks = Array();
	while($dbo->fetch()){
		$assign = Array();

		// DBξ򥻥åȤ
		$assign['id'] = $dbo->id;

		// ȥ򥻥åȤ
		$assign['created'] = $dbo->created;
		$title = $dbo->title;
		$assign['title'] = $title;

		$assign['userid'] = $dbo->userid;
		$userid = $dbo->userid;

		$dbouser = DB_DataObject::Factory(USER_TABLE);
		$dbouser->get($userid);

		$username = $dbouser->username;
		$assign['username'] = $username;
	

		$blocks[] = $assign;
		
	}

	$cmd->assign('blocks',$blocks);
	return $cmd;
	
}


// ʸ֤᥽å
function modelResponseBlock(){
	
	$cid = false;

	// CGIcid鵭ID
	if(isset($this->request['id'])){
		$cid = intVal($this->request['id']);	
	}
	else{
		throw new Exception('ޤ');
	}
	
	// ID˳쥳ɤ򸡺
	$dbo = DB_DataObject::Factory(BBS_TABLE);
	if($dbo->get($cid) <= 0){
		throw new Exception('¸ߤޤ');
	}
	
        // 󥰥֥Ȥ
        $cmd = new MobRenderingCommand('mob_bbs2_content_response.html');

	// DBξ򥻥åȤ
	$cmd->assign('id', $cid);

	// ȥ򥻥åȤ
	$title = $dbo->title;
	$cmd->assign('title',$title);

	// ʸ򥻥åȤ
	$body = $dbo->body;
	$cmd->assign('body',$body);

	$uid = $dbo->userid;
	$dbo = DB_DataObject::Factory(USER_TABLE);
	$dbo->get($uid);
	$username = $dbo->username;
	$cmd->assign('username',$username);

	$cmd->assign('userid',$dbo->id);
	$cmd->assign('created',$dbo->created);

	return $cmd;
	
}
	
function modelRequestNaviBlock(){

        // 󥰥֥Ȥ
        $cmd = new MobRenderingCommand('mob_bbs2_content_request_navi.html');

	// CGIcid鵭ID
	$page = 0;
	if(isset($this->request['page'])){
		$page = intVal($this->request['page']);	
	}


	// ID˳쥳ɤ򸡺
	$dbo = DB_DataObject::Factory(BBS_TABLE);
	$cnt = $dbo->count();

	// ڡʣꥸ
	$pagecnt = intVal($cnt / self::BBS_PAGE_LINES);

	// ڡ򥻥å
	if($page > 0 && $pagecnt > 0){
		$cmd->assign('previous',$page-1);
		
	}
	else{
		$cmd->assign('previous',-1);
	}

        // ڡ򥻥å
        if($cnt-(($page+1)*self::BBS_PAGE_LINES) > 0){
                $cmd->assign('next',$page+1);

        }
        else{
                $cmd->assign('next',-1);
	}
	
	return $cmd;
}

function modelResponseNaviBlock(){

        // 󥰥֥Ȥ
        $cmd = new MobRenderingCommand('mob_bbs2_content_response_navi.html');

	// CGIcid鵭ID
	$cid = false;
	if(isset($this->request['id'])){
		$cid = intVal($this->request['id']);	
	}
	else{
		return $cmd;
	}

	$cmd->assign('id',$cid);
	$cmd->assign('next',false);
	$cmd->assign('previous',false);

	$dbo = DB_DataObject::Factory(BBS_TABLE);
	$dbo->get($cid);
	$cmd->assign('userid',$dbo->userid);

	// 򥻥å
	$dbo = DB_DataObject::Factory(BBS_TABLE);
	$dbo->whereAdd('id < ' . $cid);
	$dbo->orderBy('id DESC');
	if($dbo->find()){
		$dbo->fetch();
		$cmd->assign('next',$dbo->id);
	}

	// 򥻥å
	$dbo = DB_DataObject::Factory(BBS_TABLE);
	$dbo->whereAdd('id > ' . $cid);
	$dbo->orderBy('id ASC');
	if($dbo->find()){
		$dbo->fetch();
		$cmd->assign('previous',$dbo->id);
		
	}

	return $cmd;
}
	
}

?>
