<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */


require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

// ¸
class modelBBS2Save extends MobCommonModel{

function modelRequestBlock(){

	// 󥰥֥Ȥ
	$cmd = new MobRenderingCommand('mob_bbs2_save_request.html');

	$ins = EmojiConv::getInstance();
	$cmd->assign('title', $ins->convertToHiddenTag($this->request['title']));
	$cmd->assign('body', $ins->convertToHiddenTag($this->request['body']));

	return $cmd;
}

function modelResponseBlock(){
	
	// 󥰥֥Ȥ
	$cmd = new MobRenderingCommand('mob_bbs2_save_response.html');

	$ins = EmojiConv::getInstance();
	$key2 = $this->request['sskey'];
	if($key2 != SESSION_KEY){
		throw new Exception('å󥨥顼');
	}

	// ơ֥¸
	$dbo = DB_DataObject::Factory(BBS_TABLE);
	$id = intVal($this->request['id']);
	$title = $ins->convertFromHiddenTag($this->request['title']);
        $dbo->title = $ins->convertToDB($title);
	$body = $ins->convertFromHiddenTag($this->request['body']);
        $dbo->body = $ins->convertToDB($body);
	$dbo->created = date('Y-m-d H:i:s');
	$dbo->userid = USER_ID;
	$dbo->insert();

	// å󥢥åץǡ
	$dbo = DB_DataObject::Factory(SESSION_TABLE);
	$dbo->get(SESSION_ID);
	$dbo->sskey = md5(uniqid(mt_rand(),1));
	$dbo->update();
	
	return $cmd;
}
}
?>
