<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.guestview.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.profileview.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.login.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.error.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.loginentry.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.hello.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.userregistentry.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.uinlogin.php';

class MobGuestProfileView extends MobGuestView{

static function factory($t){
        return new self($t);
}

// ץեɽ
protected function layoutProfileList($err=false){

	$this->contenttype = 'text/html';

        // ֤褦XXפΥåФ
        if(!isset($this->request['page']) || intVal($this->request['page']) == 0){
                $hello = new modelHello($this);
                $this->addLayout($hello->modelResponseBlock());
        }

	// 顼åɽ
	if($err){
		$this->clearLayout();
		$bbs = new modelError($this);
		$this->addLayout($bbs->modelResponseBlock($err));
	}

	// ץեɽ
	$profile = new modelProfileView($this,'op=view');
	$this->addLayout($profile->modelRequestBlock());

	// ʥӤդ
	$this->addLayout($profile->modelRequestNaviBlock());

	// ܥɽ
	$login = new modelLoginEntry($this);
	$this->addLayout($login->modelRequestBlock());

	// Ͽܥɽ
	$regist = new modelRegistEntry($this);
	$this->addLayout($regist->modelRequestBlock());

	// μֹܥɽ
	if(MOB_CARRIER != 'PC'){
		$uin = new modelUinLogin($this);
		$this->addLayout($uin->modelRequestBlock());
	}

}

// ץեʸɽ
protected function layoutProfileBody($err=false){

	$this->contenttype = 'text/html';
        if($this->request['ssid'] != SESSION_ID){
                throw new Exception('å󤬴ڤǤ');
        }


	// ץեʸɽ
	$profile = new modelProfileView($this);
	$this->addLayout($profile->modelResponseBlock());
	$this->addLayout($profile->modelResponseBlockNavi());

}

// ȥ᥽å
function controller(){
	try{
        	// ̥ȥƤ
      		if(parent::controller()){
			return true;
		}

		switch($this->action){
			case 'view': // ץեʸɤ
				return $this->layoutProfileBody();
				break;

			case 'list': // ץեɽ
			default:
				return $this->layoutProfileList();
				break;
		}
	}
	catch(Exception $e){
		$this->contenttype = 'text/html';
		$this->clearLayout();
       		$error = new modelErrorDlg($this);
		$this->addLayout($error->modelResponseBlock($e->getMessage()));
        }


}

}
?>
