<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.authview.php';

class MobProfileView extends MobBaseView{

public static function factory($t){
	$v = false;

	if(defined('SESSION_ID') && defined('USER_ID') && defined('ADMIN')){
		// 桼󥻥å
		require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.adminview.php';
		$v = MobAdminProfileView::factory($t);
	}
	else if (defined('SESSION_ID') && defined('USER_ID')){
		// ̥桼󥻥å
		require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.authview.php';
		$v = MobAuthProfileView::factory($t);
        }
	else if(defined('SESSION_ID')){
		// ȥå
		require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.guestview.php';
		$v = MobGuestProfileView::factory($t);
        }
	else {
		// å򿷵˳Ϥ
		$ses = new MobBaseAuthSession(SESSION_TABLE);

		if(!$ses->createSession()) {
			throw new Exception('Error!');
		}
		define('SESSION_ID',$ses->ssid);
		define('SESSION_KEY',$ses->sskey);

		require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.guestview.php';
		$v = MobGuestProfileView::factory($t);
	}
	return $v;
}

}
?>
