<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.authview.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.error.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.errordlg.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.view.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.movepage.php';

// ǧںѤߥ桼VIewδܥ饹
class MobAdminView extends MobAuthView{

static function factory($t){
        return new self($t);
}

// 桼
protected function layoutDeleteUser($err=false){

	$this->contenttype='text/html';

	require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.admindeleteuser.php';

	$this->contenttype='text/html';
	$delete = new modelAdminDeleteUser($this);
	$this->addLayout($delete->modelResponseBlock(intVal($this->request['id'])));
	return true;
}

// ץեϿ
protected function layoutModifyProfile($err=false){

	$this->contenttype='text/html';

	require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.adminuserprofile.php';

	$this->contenttype='text/html';
	$regist = new modelAdminUserProfile($this);
	$this->addLayout($regist->modelResponseBlock(intVal($this->request['id'])));
	return true;

}

// 桼Ͽ
protected function layoutRegist($err=false){
	require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.adminuserregist.php';

	$this->contenttype='text/html';
	$regist = new modelAdminRegist($this);
	try{
		$this->addLayout($regist->modelResponseBlock());
	}
	catch(Exception $e){
		$error = new modelErrorDlg($this);
		$this->addLayout($error->modelResponseBlock($e->getMessage()));
	}
	return true;
}

// ̥饤֥ͭβ̤ܤ륳ȥ
function controller(){
	
	// ̤ν
	try{
		switch($this->commonaction){
			case 'registentry':
			case 'registcheck':
				require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.guestview.php';
				$this->contenttype='text/html';
				$guest = MobGuestView::factory($this->thematemplate);
				$guest->controller();
				$this->copyLayout($guest);
				return true;
				break;
			case 'regist':
				return $this->layoutRegist();
				break;
			case 'profile':
				return $this->layoutModifyProfile();
				break;
			default:
				break;
		}
                return parent::controller();

	}
        catch(MobMovePage $e){
		header('Location: ' . $e->getMessage());
                exit;
        }

	return false;

}

}
?>
