<?php
/**
 * class.authsession.php
 *
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

class MobBaseAuthSession{

// åID
public $ssid;

// å󥭡
public $sskey;

// 桼ID
public $id;

// μֹ
public $uin;

// ԥե饰
public $admin;

const SESSION_EXPIRE = 1200;

function __construct(){
	$this->ssid = false;
	$this->sskey = false;
	$this->uin = false;
	$this->admin = 0;
	$this->id = 0;
}

// ¸Υåå
public function checkSession(){

	$dbo = DB_DataObject::Factory(SESSION_TABLE);
	if($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['ssid'])){
		$this->ssid = $_POST['ssid'];
	}
	else if($_SERVER['REQUEST_METHOD'] == 'GET' && isset($_GET['ssid'])){
		$this->ssid = $_GET['ssid'];
	}
	else{
		return false;
	}
	// åɣĤå
	if(preg_match('/[^0-9a-zA-Z]/',$this->ssid)){
		return false;
	}

	// åȥ󥶥ơ֥򸡺
	if(!$dbo->get('ssid',$this->ssid)){
		return false;
	}
	$this->ssid = $dbo->ssid;
	$this->sskey = $dbo->sskey;
	$this->id = $dbo->userid;

	// 桼ޥơ֥Ȥå
	if($this->id <= 0){
		return true;
	}
	$dbo = DB_DataObject::Factory(USER_TABLE);
	if(!$dbo->get('id',$this->id)){
		return false;
	}
	if($dbo->admin != 0){
		$this->admin = 1;
	}

	// ߡμֹ椬ϿѤߤʤм
	$dbo = DB_DataObject::Factory(UIN_TABLE);
	if($dbo->get('userid',$this->id)){
		$this->uin = $dbo->uin;
	}
		

	return true;
	
}

// ΥåɣĤ
public function createSession(){
	$dbo = DB_DataObject::Factory(SESSION_TABLE);

	$this->ssid = md5(uniqid(mt_rand(),1));
	$this->sskey = md5(uniqid(getmypid(),1));
	$dbo->ssid = $this->ssid;
	$dbo->sskey = $this->sskey;
	$dbo->expire = time()+self::SESSION_EXPIRE;
	$dbo->insert();
	return true;
}

// åλ(ŪʸƤӽФǽ)
public static function stopSession(){
	$dbo = DB_DataObject::Factory(SESSION_TABLE);

	$dbo->whereAdd("ssid='" . SESSION_ID . "'");
	$dbo->delete(true);
}

// å󥭡򹹿
public function updateSession($uid=false){
	$dbo = DB_DataObject::Factory(SESSION_TABLE);
	$dbo->get('ssid',SESSION_ID);
	$dbo->sskey = md5(uniqid(getmypid(),1));
	$dbo->expire = time()+self::SESSION_EXPIRE;
	if($uid){
		$dbo->userid = $uid;
	}
	$dbo->update();
	return true;
}

}

?>
