<?php
/**
 * clsss.session.php
 *
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

class MobBaseSession{

// åID
public $ssid;

// å󥭡
public $sskey;

// åơ֥̾
public $tablename;

// 桼̾
public $username;

// å
const SESSION_EXPIRE = 1200;

function __construct($tname){

	// ơ֥̾
	$this->tablename = $tname;

	// DB_DataObjectǥ뤿ν
	$dbo = DB_DataObject::Factory($this->tablename);

	// ¤ڤ줿åơ֥κ
	$dbo->whereAdd('expire <= ' . time());
	$dbo->delete(true);

	$this->ssid = false;
	$this->sskey = false;

}

// ¸Υåå
public function checkSession(){

	// POST⤷GETѿ饻åID 
	if($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['ssid'])){
		$this->ssid = $_POST['ssid'];
	}
	else if($_SERVER['REQUEST_METHOD'] == 'GET' && isset($_GET['ssid'])){
		$this->ssid = $_GET['ssid'];
	}
	else{
		return false;
	}

	// åIDå
	if(preg_match('/[^0-9a-fA-F]/',$this->ssid)){
		return false;
	}

	// DB_DataObjectǥ뤿ν
	$dbo = DB_DataObject::Factory($this->tablename);

	// åID򥭡ˤƸ
	if($dbo->get('ssid',$this->ssid)){
		$this->ssid = $dbo->ssid;
		$this->sskey = $dbo->sskey;
		$this->username = (strlen($dbo->username) > 0) ? $dbo->username : false;
		$dbo->expire = time()+MobBaseSession::SESSION_EXPIRE;
		$dbo->update();
		return true;
	}
	return false;
	
}

// ΥåɣĤ
public function createSession(){

	// å󥭡κ
	$this->ssid = md5(uniqid(mt_rand(),1));
	$this->sskey = md5(uniqid(getmypid(),1));

	// åơ֥κ
	$dbo = DB_DataObject::Factory($this->tablename);
	$dbo->ssid = $this->ssid;
	$dbo->sskey = $this->sskey;
	$dbo->expire = time()+MobBaseSession::SESSION_EXPIRE;
	$dbo->insert();
}
}

?>
