<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

class modelUserProfileCheck extends MobCommonModel{

// ϥեɽ
function modelRequestBlock(){
	$cmd =  new MobRenderingFormCommand('common_profile_check_request.html',true);

	if(!defined('SESSION_ID') || $this->request['ssid'] != SESSION_ID){
		throw new Exception('å󥨥顼');
	}

	// IDΥå
	$uid = intVal($this->request['id']);
	if(!defined('ADMIN')){
		if(!defined('USER_ID') || USER_ID != $uid){
			throw new Exception('ʥǤ');
		}
	}
	
	$dbo = DB_DataObject::Factory(USER_TABLE);
	if(!$dbo->get($uid)){
		throw new Exception('ʥǤ');
	}

	// ¸Ƥ򥻥å
	$cmd->assign('id',$dbo->id);
	$cmd->assign('username',$dbo->username);
	$cmd->assign('email',$dbo->email);
	$cmd->assign('sex',$dbo->sex);
	$ins = EmojiConv::getInstance();

	// ꥸʥDB
	if($this->request['commonop'] != 'profile'){
		$cmd->assign('address',$ins->convertToInputForm($dbo->address));
		$cmd->assign('generation',$ins->convertToInputForm($dbo->generation));
		$cmd->assign('message',$ins->convertToInputForm($dbo->message));
		return $cmd;
	}

	// ꥸʥϥե
	if(isset($this->request['address'])){
		$cmd->assign('address',$ins->convertFromHiddenTag($this->request['address']));
	}
	if(isset($this->request['generation'])){
		$cmd->assign('generation',$ins->convertFromHiddenTag($this->request['generation']));
	}
	if(isset($this->request['message'])){
		$cmd->assign('message',$ins->convertFromHiddenTag($this->request['message']));
	}
	return $cmd;

}

// ץեϳǧ֥åɽ
function modelResponseBlock(){
	
	$cmd =  new MobRenderingCommand('common_profile_check_response.html',true);

	// IDΥå
	$uid = intVal($this->request['id']);

	if(!defined('SESSION_ID') || $this->request['ssid'] != SESSION_ID){
		throw new Exception('å󥨥顼');
	}


	$age = intVal($this->request['generation']);
	if($age < 0 || $age > 100){
		throw new Exception('λ꤬Ǥ');
	}

	
	if( $this->request['password'] != '' && $this->request['password_retype'] != $this->request['password']){
		throw new Exception('ѥɡʺϡˤˤƱѥɤϤƲ');
	}
        if( $this->request['password'] != ''  && (strlen($this->request['password']) < 6 || strlen($this->request['username']) > 16)){
                throw new Exception('ѥɤ6ʸʾ16ʸʲǤ');
        }
        if( $this->request['password'] != '' && preg_match('/[^\x21-\x7E]/',$this->request['password']) > 0){
                throw new Exception('ѥɤϱѿȵΤ߻Ȥޤ');
        }

        if(strlen($this->request['address']) > 64){
                throw new Exception('꤬Ĺ᤮ޤ');
        }
	$cmd->assign('id',$uid);
	$cmd->assign('username',$this->username);
	$cmd->assign('email',$this->email);
	$cmd->assign('sex',intVal($this->request['sex']));
	$cmd->assign('address',$this->request['address']);
	$cmd->assign('generation',$this->request['generation']);
	$cmd->assign('message',$this->request['message']);
	return $cmd;

}
}
?>
