<?php
/**
 * class.userregistcheck.php
 *
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

class modelRegistCheck extends MobCommonModel{

function modelRequestBlock(){

	$cmd =  new MobRenderingCommand('common_regist_check_request.html',true);
	if(!defined('SESSION_ID') || $this->request['ssid'] != SESSION_ID){
		throw new Exception('å󥨥顼');
	}
	if(isset($this->request['username'])){
		$cmd->assign('username',$this->request['username']);
	}

	if(isset($this->request['sex'])){
		$cmd->assign('sex',$this->request['sex']);
	}
	if(isset($this->request['email'])){
		$cmd->assign('email',$this->request['email']);
	}
        return $cmd;
}


// 桼Ͽϳǧ֥åɽ
function modelResponseBlock(){

	// 󥰥֥Ȥ
	$cmd =  new MobRenderingCommand('common_regist_check_response.html',true);

	if(!defined('SESSION_ID') || $this->request['ssid'] != SESSION_ID){
		throw new Exception('å󥨥顼');
	}
	if(!isset($this->request['username'])){
		throw new Exception('桼ID̤ϤǤ');
	}
	if(!isset($this->request['email'])){
		throw new Exception('᡼륢ɥ쥹̤ϤǤ');
	}
	if(strlen($this->request['email']) > 255){
		throw new Exception('᡼륢ɥ쥹255ʸǤ');
	}
	if(!isset($this->request['password'])){
		throw new Exception('ѥɤ̤ϤǤ');
	}
	if(!isset($this->request['password_retype'])){
		throw new Exception('ѥɡʺϡˤ̤ϤǤ');
	}


	if(strlen($this->request['username']) < 4 || strlen($this->request['username']) > 32){
		throw new Exception('桼ID4ʸʾ32ʸʲǤ');
	}

	if(preg_match('/[^0-9A-Za-z]/',$this->request['username']) > 0){
		throw new Exception('桼IDϱѿȾʸʳȤޤ');
	}

	require_once 'Mail/RFC822.php'; 
	if(!Mail_RFC822::isValidInetAddress($this->request['email'])){
		throw new Exception('᡼륢ɥ쥹ηޤ');
	}
	if($this->request['password_retype'] != $this->request['password']){
		throw new Exception('ѥɡʺϡˤˤƱѥɤϤƲ');
	}
	if(strlen($this->request['password']) < 6 || strlen($this->request['password']) > 16){
		throw new Exception('ѥɤ6ʸʾ16ʸʲǤ');
	}
	if(preg_match('/[^\x21-\x7E]/',$this->request['password']) > 0){
		throw new Exception('ѥɤϱѿȵΤ߻Ȥޤ');
	}
	if($this->request['sex'] != 1 && $this->request['sex'] != 2){
		throw new Exception('̤ɬꤷƤ');
	}
	
	$dbo = DB_DataObject::Factory(USER_TABLE);
	$dbo->whereAdd("username='" . $this->request['username'] . "'");
	if($dbo->find()){
		throw new Exception('Υ桼IDϤǤϿƤޤ');
	}
	
	$dbo = DB_DataObject::Factory(USER_TABLE);
	$dbo->whereAdd("email='" . $this->request['email'] . "'");
	if($dbo->count() > 0){
		throw new Exception('Υ᡼륢ɥ쥹ϤǤϿƤޤ');
	}
	
	$cmd->assign('username',$this->request['username']);
	$cmd->assign('sex',$this->request['sex']);
	$cmd->assign('email',$this->request['email']);
	$cmd->assign('password',$this->request['password']);
	return $cmd;
}

}
?>
