<?php
/**
 * class.view.php
 *
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.controller.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.renderingcommand.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.renderingcommandform.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.renderingcommandraw.php';

// Viewδܥ饹
abstract class MobBaseView extends MobBaseController{

// ơޥƥץ졼
protected $thematemplate;

// 쥤ȥꥹ
public $layoutlist;

// ƥĥ
protected $contenttype;

// Factoryƥץ졼ȥ᥽å
abstract static function factory($t);

// 󥹥ȥ饯
function __construct($t){

	// ȥ饯饹ν
	MobBaseController::__construct();

	// ڡΤΥƥץ졼Ȥ
	$this->thematemplate = $t;
	$this->layoutlist = Array();
}


// 쥤Ȥ˥ƥĤɲ
protected function addLayout($obj){
	$this->layoutlist[] = $obj;
}

// 쥤Ȥ򥯥ꥢ
protected function clearLayout(){
	$this->layoutlist = Array();
}

// 쥤֤
protected function getLayout(){
	return $this->layoutlist;
}

protected function copyLayout($obj){
	$this->layoutlist = $obj->layoutlist;
}
public function view(){

	// ȥϷѾǼ
	$this->controller();

	// ƥȤν(HTMLϤȤʳΥƥĤ򿶤ʬƽ)
	if(preg_match('/^text\/html/',$this->contenttype)){

		// ƥ֥åȤΩ
		$lst = Array();
		foreach($this->layoutlist as $blk){
			if(!method_exists($blk,'rendering')){
				continue;
			}
			$lst[] = $blk->rendering();
		}
		// ΤΥڡȤΩ
		$page = new MobRenderingRawCommand($this->thematemplate);
		$page->assign('blocks',$lst);
		$cont = $page->rendering();

		// Ѵ
		$ins = EmojiConv::getInstance();
		$ins->outputAll($cont);
		
	}
	else{
		// HTMLʳΥƥĤν 
		header('Content-Type: ' . $this->contenttype);
		foreach($this->layoutlist as $r){
			echo $r;
		}
	}
	
}

}
?>
