<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once 'Net/UserAgent/Mobile.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.ipcheck.php';
require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.emojicnv.php';

if(defined('OUTPUT_ENCODING') || defined('MOB_CARRIER') || defined('MOB_UIN')){
	throw new Exception('Error!');
}
$uin = false;
$agent = &Net_UserAgent_Mobile::singleton();

// ꥢȤν
if($agent->isDoCoMo() && MobIPCheck::ISdocomo()){

	// DOCOMOѤν
	EmojiConv::initDOCOMO();
	define('OUTPUT_ENCODING','SJIS-win');
	define('OUTPUT_CHARSET','Shift_JIS');
	$uin = $agent->getSerialNumber();
	if(strlen($uin) > 0){
		define('MOB_UIN',md5($uin));
	}
}
else if($agent->isVodafone() && MobIPCheck::ISSoftBank()){

	// SOFTBANKѤν
	EmojiConv::initSOFTBANK();
	define('OUTPUT_ENCODING','UTF-8');
	define('OUTPUT_CHARSET','utf-8');
	$uin = $agent->getSerialNumber();
	if(strlen($uin) > 0){
		define('MOB_UIN',md5($uin));
	}
}
else if($agent->isEZweb() && MobIPCheck::ISAU()){

	// AUѤν
	EmojiConv::initAU();
	define('OUTPUT_ENCODING','SJIS-win');
	define('OUTPUT_CHARSET','Shift_JIS');
	if(isset( $_SERVER['HTTP_X_UP_SUBNO'])){
       		define('MOB_UIN',md5($_SERVER['HTTP_X_UP_SUBNO']));
	}
}
else{
	// PCѤν
	EmojiConv::initPC();
	define('OUTPUT_ENCODING','SJIS-win');
	define('OUTPUT_CHARSET','Shift_JIS');
}

$ins = EmojiConv::getInstance();

define('MOB_CARRIER',$ins->getCarrier());
?>
