<?php
/**
 * class.bbscheck.php
 *
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

// Ƴǧ
class modelBBSCheck extends MobCommonModel{

// ϥեɽ
function modelRequestBlock(){
	
	// ѥ󥹥󥹤
	$cmd = new MobRenderingFormCommand('mob_bbs_check_request.html');

	// ϥե˥å
	$ins = EmojiConv::getInstance();

	// ȥ򥻥åȤ
	if(isset($this->request['title'])){
		if(isset($this->request['sskey'])){
			$title = $ins->convertFromHiddenTag($this->request['title']);
		}
		else{
			$title = $this->request['title'];
		}
		$cmd->assign('title',$title);
	}

	// å󤬷³ƤϤ桼̾Ϥ
	if(defined('USERNAME')){
		$cmd->assign('username',USERNAME);
	}

	// Ƽ̾򥻥åȤ
	if(isset($this->request['username'])){
		if(isset($this->request['sskey'])){
			$username = $ins->convertFromHiddenTag($this->request['username']);
		}
		else{
			$username = $this->request['username'];
		}
		$cmd->assign('username',$username);
	}

	// 򥻥åȤ
	if(isset($this->request['body'])){
		if(isset($this->request['sskey'])){
			$body = $ins->convertFromHiddenTag($this->request['body']);
		}
		else{
			$body = $this->request['body'];
		}
		$cmd->assign('body',$body);
	}
	return $cmd;
}

// ǧѲ̤ɽ
function modelResponseBlock(){
	
	// Ƥå
	if($this->request['username'] == ''){
		throw new Exception('̾ɬܤǤ');
	}

	if(strlen($this->request['username']) >= 64){
		throw new Exception('̾Ĺޤ');
	}

	if($this->request['title'] == ''){
		throw new Exception('ȥɬܤǤ');
	}

	if(strlen($this->request['title']) >= 255){
		throw new Exception('ȥ뤬Ĺޤ');
	}

	if($this->request['body'] == ''){
		throw new Exception('ʸɬܤǤ');
	}

	if($this->request['ssid'] != SESSION_ID){
		throw new Exception('å󥨥顼');
	}

	// ɽǡ򥻥åȤ
	$cmd = new MobRenderingCommand('mob_bbs_check_response.html');
	$cmd->assign('title',$this->request['title']);
	$cmd->assign('body',$this->request['body']);
	$cmd->assign('username',$this->request['username']);

	return $cmd;

}

}

?>
