<?php
/**
 * class.bbscontent.php
 *
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */

require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

class modelBBSContent extends MobCommonModel{

// ߤΥڡ
private $page;

// ڡε
const BBS_PAGE_LINES = 5;

// ֤᥽å
function modelRequestBlock(){


	// CGIcid鵭ID
	if(isset($this->request['page'])){
		$this->page = intVal($this->request['page']);	
	}
	else{
		$this->page = 0;
	}
	
	// ID˳쥳ɤ򸡺
	$dbo = DB_DataObject::Factory('mob_bbs');
	$dbo->orderBy('id DESC');
	$dbo->limit($this->page*self::BBS_PAGE_LINES,self::BBS_PAGE_LINES);
	if($dbo->find() <= 0){
		throw new Exception('¸ߤޤ');
	}

	// ƥơ֥򥻥å
	$blocks = Array();
	while($dbo->fetch()){
		$assign = Array();

		// DBξ򥻥åȤ
		$assign['id'] = $dbo->id;

		// ȥ򥻥åȤ
		$assign['title'] = $dbo->title;
		$assign['username'] = $dbo->username;
		$assign['created'] = $dbo->created;

		$blocks[] = $assign;
		
	}

	// 󥰥֥Ȥ
	$cmd = new MobRenderingCommand('mob_bbs_content_request.html');
	$cmd->assign('blocks',$blocks);
	return $cmd;
}


// ʸ֤᥽å
function modelResponseBlock(){
	
	$cid = false;

	// CGIcid鵭ID
	if(isset($this->request['id'])){
		$cid = intVal($this->request['id']);	
	}
	else{
		throw new Exception('ޤ');
	}
	
	// ID˳쥳ɤ򸡺
	$dbo = DB_DataObject::Factory('mob_bbs');
	if($dbo->get($cid) <= 0){
		throw new Exception('¸ߤޤ');
	}
	
	// 󥰥֥Ȥ
	$cmd = new MobRenderingCommand('mob_bbs_content_response.html');

	// ȥ򥻥åȤ
	$title = $dbo->title;
	$cmd->assign('title',$title);

	// ʸ򥻥åȤ
	$body = $dbo->body;
	$cmd->assign('body',$body);

	// Ƽ̾򥻥åȤ
	$username = $dbo->username;
	$cmd->assign('username',$username);

	// 򥻥åȤ
	$created = $dbo->created;
	$cmd->assign('created',$created);
	return $cmd;
	
}
	
function modelRequestNaviBlock(){

	// CGIpage鸽ԥڡ
	$page = 0;
	if(isset($this->request['page'])){
		$page = intVal($this->request['page']);	
	}

	// 쥳ɿټ
	$dbo = DB_DataObject::Factory('mob_bbs');
	$cnt = $dbo->count();

	// ڡʣꥸ
	$pagecnt = intVal($cnt / self::BBS_PAGE_LINES);

	// 󥰥֥Ȥ
	$cmd = new MobRenderingCommand('mob_bbs_content_request_navi.html');

	// ڡ򥻥å
	$previous = -1;
	if($page > 0 && $pagecnt > 0){
		$previous = $page-1;
		
	}
	$cmd->assign('previous',$previous);

	// ڡ򥻥å
	$next = -1;
	if($cnt-(($page+1)*self::BBS_PAGE_LINES) > 0){
		$next = $page+1;
		
	}
	$cmd->assign('next',$next);
	
	return $cmd;
}

function modelResponseNaviBlock(){

	// 󥰥֥Ȥ
	$cmd = new MobRenderingCommand('mob_bbs_content_response_navi.html');

	// CGIcid鵭ID
	$cid = false;
	if(isset($this->request['id'])){
		$cid = intVal($this->request['id']);	
	}
	else{
		return $cmd;
	}

	// ڡ򥻥å
	$next = false;
	$dbo = DB_DataObject::Factory('mob_bbs');
	$dbo->whereAdd('id < ' . $cid);
	$dbo->orderBy('id DESC');
	if($dbo->find()){
		$dbo->fetch();
		$next = $dbo->id;
	}

	// ڡ򥻥å
	$previous = false;
	$dbo = DB_DataObject::Factory('mob_bbs');
	$dbo->whereAdd('id > ' . $cid);
	$dbo->orderBy('id ASC');
	if($dbo->find()){
		$dbo->fetch();
		$previous = $dbo->id;
		
	}
	$cmd->assign('next',$next);
	$cmd->assign('previous',$previous);
	

	return $cmd;
}
	
}

?>
