<?php
/**
 * class.bbssave.php
 *
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */


require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

class modelBBSSave extends MobCommonModel{

function modelRequestBlock(){

        // 󥰥֥Ȥ
        $cmd = new MobRenderingCommand('mob_bbs_save_request.html');

	$ins = EmojiConv::getInstance();

	// hiddeŸ
	if(isset($this->request['title'])){
		$cmd->assign('title',$ins->convertToHiddenTag($this->request['title']));
	}

	if(isset($this->request['body'])){
		$cmd->assign('body',$ins->convertToHiddenTag($this->request['body']));
	}

	if(isset($this->request['username'])){
		$cmd->assign('username',$ins->convertToHiddenTag($this->request['username']));
	}

	return $cmd;

}

function modelResponseBlock(){

	// å󥭡
	$ssid = $this->request['ssid'];
	if($ssid != SESSION_ID){
		throw new Exception('å󥨥顼');
	}
	$sskey = $this->request['sskey'];
	if($sskey != SESSION_KEY){
		throw new Exception('å󥨥顼');
	}

	// ơ֥¸
	$ins = EmojiConv::getInstance();
	$dbo = DB_DataObject::Factory('mob_bbs');
	$title = $ins->convertFromHiddenTag($this->request['title']);
	$dbo->title = $ins->convertToDB($title);
	$body = $ins->convertFromHiddenTag($this->request['body']);
	$dbo->body = $ins->convertToDB($body);
	$username = $ins->convertFromHiddenTag($this->request['username']);
	$dbo->username = $ins->convertToDB($username);
	$dbo->insert();

	// åơ֥ι
	$dbo = DB_DataObject::Factory('mob_bbs_session');
	$dbo->get('ssid',SESSION_ID);
	$dbo->sskey = md5(uniqid(mt_rand(), true));
	$dbo->username  = $ins->convertToDB($username);
	$dbo->update();

        // 󥰥֥Ȥ
        $cmd = new MobRenderingCommand('mob_bbs_save_response.html');
	$cmd->assign('username',$this->request['username']);
	return $cmd;
}
}
?>
