<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */


require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.model.php';

// ¸
class modelBBS2Update extends MobCommonModel{

function modelRequestBlock(){

	// 󥰥֥Ȥ
	$cmd = new MobRenderingCommand('mob_bbs2_save_request.html');

	$ins = EmojiConv::getInstance();
	$cmd->assign('title', $ins->convertToHiddenTag($this->request['title']));
	$cmd->assign('body', $ins->convertToHiddenTag($this->request['body']));
	$cmd->assign('id',$this->request['id']);

	return $cmd;
}

function modelResponseBlock(){
	
	// 󥰥֥Ȥ
	$cmd = new MobRenderingCommand('mob_bbs2_update_response.html');

	$ins = EmojiConv::getInstance();
	if($this->request['ssid'] != SESSION_ID){
		throw new Exception('å󥨥顼');
	}

	if($this->request['sskey'] != SESSION_KEY){
		throw new Exception('å󥨥顼');
	}

	// ơ֥¸
	$dbo = DB_DataObject::Factory(BBS_TABLE);
	$id = intVal($this->request['id']);
	$dbo->get($id);

	if(!defined('ADMIN') && $dbo->userid != USER_ID){
		throw new Exception('Խ¤ޤ');
	}
	$title = $ins->convertFromHiddenTag($this->request['title']);
        $dbo->title = $ins->convertToDB($title);
	$body = $ins->convertFromHiddenTag($this->request['body']);
        $dbo->body = $ins->convertToDB($body);
	$dbo->update();

	// å󥢥åץǡ
	$dbo = DB_DataObject::Factory(SESSION_TABLE);
	$dbo->get(SESSION_ID);
	$dbo->sskey = md5(uniqid(mt_rand(),1));
	$dbo->update();
	
	return $cmd;
}
}
?>
