<?php
/**
 * PHP versions 5
 *
 * @author     M.Takai <JBC00205@nifty.com>
 * @copyright  2010 The Author
 * @license    http://opensource.org/licenses/bsd-license.php New BSD License
 */


require_once MBAPP_TRUST_PATH . '/MobCommon/class/class.view.php';

class MobBBS2View extends MobBaseView{

public static function factory($t,$list=false){
	$v = false;

	if(defined('SESSION_ID') && defined('USER_ID') && defined('ADMIN')){
		// 桼󥻥å
		require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.adminview.php';
		$v = MobAdminBBS2View::factory($t);
	}
	else if (defined('SESSION_ID') && defined('USER_ID')){
		// ̥桼󥻥å
		require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.authview.php';
		$v = MobAuthBBS2View::factory($t);
        }
	else if(defined('SESSION_ID')){
		// ȥå
		require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.guestview.php';
		$v = MobGuestBBS2View::factory($t);
        }
	else {
		// å򿷵˳Ϥ
	        $ses = new MobBaseAuthSession(SESSION_TABLE);

                if(!$ses->createSession()) {
                        throw new Exception('Error!');
                }
                define('SESSION_ID',$ses->ssid);
                define('SESSION_KEY',$ses->sskey);

                require_once MBAPP_TRUST_PATH . APPNAME . '/class/class.guestview.php';
                $v = MobGuestBBS2View::factory($t);

	}
	return $v;
}

}
?>
