CREATE TABLE mob_bbs2(
  id INT( 64 ) NOT NULL AUTO_INCREMENT ,
  title VARCHAR( 255 ) NOT NULL DEFAULT '',
  created DATETIME,
  userid VARCHAR( 64 ) NOT NULL DEFAULT '',
  body TEXT,
  PRIMARY KEY ( id ) 
); 

CREATE TABLE mob_bbs2_session(
  ssid VARCHAR( 32 ) NOT NULL,
  sskey VARCHAR( 32 ) NOT NULL,
  expire INT( 64 ) NOT NULL DEFAULT 0,
  ipaddress VARCHAR( 32 ) NOT NULL DEFAULT '',
  PRIMARY KEY ( sskey ) 
); 

CREATE TABLE mob_bbs2_user(
  id INT( 64 ) NOT NULL AUTO_INCREMENT ,
  admin INT( 8 ) DEFAULT 0,
  created TIMESTAMP,
  updated DATETIME NOT NULL,
  email VARCHAR( 255 ) NOT NULL DEFAULT '',
  approvalkey VARCHAR( 32 ) NOT NULL DEFAULT '',
  approve INT( 8 ) DEFAULT 0,
  approveexpire INT( 64 ) DEFAULT 0,
  username VARCHAR( 32 ) NOT NULL DEFAULT '',
  sex VARCHAR( 8 ) NOT NULL DEFAULT '',
  carrier VARCHAR( 16 ) NOT NULL DEFAULT '',
  generation VARCHAR( 32 ) NOT NULL DEFAULT '',
  address VARCHAR( 128 ) NOT NULL DEFAULT '',
  password VARCHAR( 32 ) NOT NULL DEFAULT '',
  message TEXT NOT NULL DEFAULT '',
  PRIMARY KEY ( id ) 
); 
CREATE TABLE mob_bbs2_auth_session(
  ssid VARCHAR( 32 ) NOT NULL DEFAULT '',
  sskey VARCHAR( 32 ) NOT NULL DEFAULT '',
  uinlogin INT( 8 ) NOT NULL DEFAULT 0,
  userid INT( 64 ) NOT NULL DEFAULT -1,
  expire INT( 64 ) NOT NULL DEFAULT 0,
  ipaddress VARCHAR( 32 ) NOT NULL DEFAULT '',
  PRIMARY KEY ( ssid ) 
); 

CREATE TABLE mob_bbs2_uin(
  id INT( 64 ) NOT NULL AUTO_INCREMENT ,
  userid INT( 64 ) NOT NULL, 
  uin VARCHAR(128) NOT NULL,
  created TIMESTAMP,
  PRIMARY KEY ( id ) 
);


