CREATE TABLE mob_profile_user(
  id INT( 64 ) NOT NULL AUTO_INCREMENT ,
  admin INT( 8 ) DEFAULT 0,
  created TIMESTAMP,
  updated DATETIME NOT NULL,
  email VARCHAR( 255 ) NOT NULL DEFAULT '',
  approvalkey VARCHAR( 32 ) NOT NULL DEFAULT '',
  approve INT( 8 ) DEFAULT 0,
  approveexpire INT( 64 ) DEFAULT 0,
  username VARCHAR( 32 ) NOT NULL DEFAULT '',
  sex VARCHAR( 8 ) NOT NULL DEFAULT '',
  carrier VARCHAR( 16 ) NOT NULL DEFAULT '',
  generation VARCHAR( 32 ) NOT NULL DEFAULT '',
  address VARCHAR( 128 ) NOT NULL DEFAULT '',
  password VARCHAR( 32 ) NOT NULL DEFAULT '',
  message TEXT NOT NULL DEFAULT '',
  PRIMARY KEY ( id ) 
); 
CREATE TABLE mob_profile_auth_session(
  ssid VARCHAR( 32 ) NOT NULL DEFAULT '',
  sskey VARCHAR( 32 ) NOT NULL DEFAULT '',
  userid INT( 64 ) NOT NULL DEFAULT -1,
  expire INT( 64 ) NOT NULL DEFAULT 0,
  PRIMARY KEY ( ssid ) 
); 

CREATE TABLE mob_profile_uin(
  id INT( 64 ) NOT NULL AUTO_INCREMENT ,
  userid INT( 64 ) NOT NULL, 
  uin VARCHAR(128) NOT NULL,
  carrier VARCHAR(32) NOT NULL,
  expire INT(32) NOT NULL -1,
  PRIMARY KEY ( id ) 
);

